Subject: Re: linux-next: build failure after merge of the net-next tree

From: Simon Horman <[email-masked]>
Date: Wed, 14 Jun 2023 11:01:44 +0200

On Tue, Jun 13, 2023 at 04:46:39PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the net-next tree, today's linux-next build (sparc64
> defconfig) failed like this:
> 
> drivers/net/ethernet/sun/sunvnet_common.c: In function 'vnet_handle_offloads':
> drivers/net/ethernet/sun/sunvnet_common.c:1277:16: error: implicit declaration of function 'skb_gso_segment'; did you mean 'skb_gso_reset'? [-Werror=implicit-function-declaration]
>  1277 |         segs = skb_gso_segment(skb, dev->features & ~NETIF_F_TSO);
>       |                ^~~~~~~~~~~~~~~
>       |                skb_gso_reset
> drivers/net/ethernet/sun/sunvnet_common.c:1277:14: warning: assignment to 'struct sk_buff *' from 'int' makes pointer from integer without a cast [-Wint-conversion]
>  1277 |         segs = skb_gso_segment(skb, dev->features & ~NETIF_F_TSO);
>       |              ^
> 
> Caused by commit
> 
>   d457a0e329b0 ("net: move gso declarations and functions to their own files")
> 
> I have applied the following patch for today.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Tue, 13 Jun 2023 16:38:10 +1000
> Subject: [PATCH] Fix a sparc64 use of the gso functions
> 
> This was missed when they were moved.
> 
> Fixes: d457a0e329b0 ("net: move gso declarations and functions to their own files")
> Signed-off-by: Stephen Rothwell <[email-masked]>

Thanks Stephen,

I agree that this is a correct fix.

I've tried to conduct an audit of the symbols changed in the above
mentioned patch and confirm that compilation is successful.
Your patch addresses the only failure I uncovered during that activity.

Sorry for not doing this before the patch hit net-next.

Reviewed-by: Simon Horman <[email-masked]>

> ---
>  drivers/net/ethernet/sun/sunvnet_common.c | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/drivers/net/ethernet/sun/sunvnet_common.c b/drivers/net/ethernet/sun/sunvnet_common.c
> index a6211b95ed17..3525d5c0d694 100644
> --- a/drivers/net/ethernet/sun/sunvnet_common.c
> +++ b/drivers/net/ethernet/sun/sunvnet_common.c
> @@ -25,6 +25,7 @@
>  #endif
>  
>  #include <net/ip.h>
> +#include <net/gso.h>
>  #include <net/icmp.h>
>  #include <net/route.h>
>  
> -- 
> 2.39.2
> 
> -- 
> Cheers,
> Stephen Rothwell